function [ nemo_profile, profile_count ] = latest_profile( p_config, p_float_number )
%LATEST_PROFILE Loads the latest profile of the given float.
%   

%% Initialize return variable
nemo_profile = {};

%% Parameter check
if ~isstruct(p_config) || ~isa(p_float_number, 'double')
    disp([mfilename ': Wrong parameters, please check your input!']);
    return;
end

%% Determine the latest profile file
profile_files = dir( ...
    [ ...
        p_config.OUTPUT_FILES.output_path ...
        sprintf('%04d', p_float_number) ...
        p_config.GENERAL.folder_separator ...
        '*.profile' ...
    ] ...
);

profile_files = {profile_files.name};
profile_files = sort(profile_files);

if isempty(profile_files)
    profile_count = 0;
    return
end
filename = profile_files{end};
profile_count = length(profile_files);

%% Now load the profile if available
nemo_profile = nemo.profile.load( ...
    [ ...
        p_config.OUTPUT_FILES.output_path ...
        sprintf('%04d', p_float_number) ...
        p_config.GENERAL.folder_separator ...
        filename ...
    ] ...
);


end

