function [ folder_list ] = exclude_files( p_source )
%EXCLUDE_FILES Excludes all files from a list of folders given by p_source.
%   Runs through p_source and excludes all files that are found.
%
%   Parameters:
%   p_source            List of directories.

%% Initialize return variables
folder_list = false;

%% Parameter check
if ~isstruct(p_source)
    warning([mfilename ': Parameter not set correctly! Returning false.']);
    return
end

%% Exclude all files

tmp_list = [];
for o_index = 1:size(p_source, 1) % check if element is a directory
    %if isdir(p_source(o_index).name)
    if p_source(o_index).isdir
        tmp_list = [tmp_list p_source(o_index)];
    end % ignore every other elements
end
folder_list = tmp_list; % copy the created list to the correct variable
clear tmp_list o_index; % clean up

end

